<div class="row">

  {% if search.performed %}

    {% if search.results_count == 0 %}

      <div class="col-sm-12 pt-6 mt-6 text-center">
        <h1 class="h3">{{ 'search.results_page.no_results_title' | t: terms: search.terms }}</h1>
        <p>{{ 'search.results_page.no_results_message_html' | t }}</p> 
      </div>

      <div class="mt-3 mx-auto">
        <form action="/search" method="get" role="search" class="form-inline form-inline-lg mx-auto text-center d-flex justify-content-center">
          <div class="form-group">
            <input class="form-control form-control-lg" type="search" name="q" id="Search" value="{{ search.terms | escape }}">
          </div>
          <button type="submit" class="btn btn-secondary">{{ 'search.search_form.button_text' | t }}</button>
        </form>
      </div>

    {% else %}

      <div class="col-12 col-sm-3 outline">
        <div class="sidebar pr-6">
          <h1 class="border-bottom pb-4 pt-3 mb-4 avenir-bold title h4">
            {{ 'search.results_page.page_title_with_search_terms_html' | t: terms: search.terms }}
            <span class="d-block small pt-1">{{ 'search.results_page.page_title' | t: count: search.results_count }}</span> 
          </h1>
        </div>
        
      </div>

      <div class="col-12 col-sm-9 outline">

      {% paginate search.results by 24 %}

      <div class="row collection-grid">

        {% include 'select-sort' %}

        {% for item in search.results %}
          <div class="col-12 col-sm-4">
            {% include 'product-card', product: item %}
          </div>
        {% endfor %}

      </div>

      {% if paginate.pages > 1 %}
        {% include 'pagination' %}
      {% endif %}

      {% endpaginate %}

      </div>

    {% endif %}

  {% else %}
  
    <div class="col-sm-12 pt-6 mt-6 text-center">
      <h1 class="h3">{{ 'search.results_page.no_search_performed_title' | t }}</h1>
      <p>{{ 'search.results_page.no_search_performed_message_html' | t }}</p> 
    </div>

    <div class="mt-3 mx-auto">
      <form action="/search" method="get" role="search" class="form-inline form-inline-lg mx-auto text-center d-flex justify-content-center">
        <div class="form-group">
          <input class="form-control form-control-lg" type="search" name="q" id="Search" value="{{ search.terms | escape }}">
        </div>
        <button type="submit" class="btn btn-secondary">{{ 'search.search_form.button_text' | t }}</button>
      </form>
    </div>

  {% endif %}

</div>
